| Home | Libraries | People | FAQ | More

## Macro BOOST_DLL_FORCE_NO_WEAK_EXPORTS

BOOST_DLL_FORCE_NO_WEAK_EXPORTS

## Synopsis

    // In header: <boost/dll/alias.hpp>

    BOOST_DLL_FORCE_NO_WEAK_EXPORTS

## Description

Define this macro to disable exporting weak symbols and start using the BOOST_DLL_FORCE_ALIAS_INSTANTIATION. This may be usefull for working around linker problems or to test your program for compatability with linkers that do not support export of weak symbols.